Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class AbstractOriginRetentionPolicy

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractOriginRetentionPolicy

All Implemented Interfaces:
  IOriginRetentionPolicy

Direct Known Subclasses:
  CompleteOriginRetentionPolicy, NoOriginRetentionPolicy, SpecificOriginRetentionPolicy

    public abstract class AbstractOriginRetentionPolicy

extends Object
implements IOriginRetentionPolicy

Abstract superclass for all origin retention policies.

Since:
  1.6
Author:
  Holger Knoche

Method Summary
`boolean` | `dependsOn(IOriginRetentionPolicy policy)` Checks whether this origin retention policy depends on the given policy.
`OriginRetentionPolicyKind` | `getKind()` Returns the kind of this retention policy.
`boolean` | `isCompatibleWith(IOriginRetentionPolicy policy)` Checks whether this policy is compatible (i.e.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.tools.traceAnalysis.filter.visualization.graph.IOriginRetentionPolicy
`handleOrigin, uniteWith`

Method Detail

### getKind

    public OriginRetentionPolicyKind getKind()

  Description copied from interface: `IOriginRetentionPolicy`
  Returns the kind of this retention policy.

  Specified by:
    `getKind` in interface `IOriginRetentionPolicy`
  Returns:
    See above

### isCompatibleWith

    public boolean isCompatibleWith(IOriginRetentionPolicy policy)

  Checks whether this policy is compatible (i.e. unitable) with another retention policy.

  Specified by:
    `isCompatibleWith` in interface `IOriginRetentionPolicy`
  Parameters:
    `policy` - The retention policy to check against
  Returns:
    `True` if the policies may be united, `false` otherwise

### dependsOn

    public boolean dependsOn(IOriginRetentionPolicy policy)

  Checks whether this origin retention policy depends on the given policy.

  Specified by:
    `dependsOn` in interface `IOriginRetentionPolicy`
  Parameters:
    `policy` - The policy to check for dependencies
  Returns:
    `True` if the policy depends on the given policy, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net